
#ifndef NYLPC_CHTTPD_PROTECTED_H_
#define NYLPC_CHTTPD_PROTECTED_H_

#include "NyLPC_stdlib.h"
#include "../NyLPC_cNetConfig.h"
#include "NyLPC_cHttpd.h"
#include "NyLPC_cHttpdThread.h"
#ifndef DEFINE_NyLPC_TcHttpdConnection_t
	typedef struct NyLPC_TcHttpdConnection NyLPC_TcHttpdConnection_t;
	#define DEFINE_NyLPC_TcHttpdConnection_t
#endif




void NyLPC_cHttpd_initialize(NyLPC_TcHttpd_t* i_inst,NyLPC_TUInt16 i_port_number);
void NyLPC_cHttpd_finalize(NyLPC_TcHttpd_t* i_inst);
void NyLPC_cHttpd_loop(NyLPC_TcHttpd_t* i_inst);


void NyLPC_cHttpd_lock(NyLPC_TcHttpd_t* i_inst);
void NyLPC_cHttpd_unlock(NyLPC_TcHttpd_t* i_inst);
#define NyLPC_cHttpd_getNumOfConnection(i_inst) ((i_inst)->_num_of_active_connection)
#endif /* NYLPC_CHTTPD_H_ */
